Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFEvaluationWorkbook

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFEvaluationWorkbook

All Implemented Interfaces:
  org.apache.poi.ss.formula.EvaluationWorkbook, org.apache.poi.ss.formula.FormulaParsingWorkbook, org.apache.poi.ss.formula.FormulaRenderingWorkbook

    public final class XSSFEvaluationWorkbook

extends java.lang.Object
implements org.apache.poi.ss.formula.FormulaRenderingWorkbook, org.apache.poi.ss.formula.EvaluationWorkbook, org.apache.poi.ss.formula.FormulaParsingWorkbook

Internal POI use only

Author:
  Josh Micich

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.EvaluationWorkbook
`org.apache.poi.ss.formula.EvaluationWorkbook.ExternalName, org.apache.poi.ss.formula.EvaluationWorkbook.ExternalSheet`

Method Summary
`int` | `convertFromExternSheetIndex(int externSheetIndex)`
`static XSSFEvaluationWorkbook` | `create(XSSFWorkbook book)`
`org.apache.poi.ss.formula.EvaluationWorkbook.ExternalName` | `getExternalName(int externSheetIndex, int externNameIndex)`
`org.apache.poi.ss.formula.EvaluationWorkbook.ExternalSheet` | `getExternalSheet(int externSheetIndex)`
`int` | `getExternalSheetIndex(java.lang.String sheetName)`
`int` | `getExternalSheetIndex(java.lang.String workbookName, java.lang.String sheetName)`
`org.apache.poi.hssf.record.formula.Ptg[]` | `getFormulaTokens(org.apache.poi.ss.formula.EvaluationCell evalCell)`
`org.apache.poi.ss.formula.EvaluationName` | `getName(org.apache.poi.hssf.record.formula.NamePtg namePtg)`
`org.apache.poi.ss.formula.EvaluationName` | `getName(java.lang.String name, int sheetIndex)`
`java.lang.String` | `getNameText(org.apache.poi.hssf.record.formula.NamePtg namePtg)`
`org.apache.poi.hssf.record.formula.NameXPtg` | `getNameXPtg(java.lang.String name)`
`org.apache.poi.ss.formula.EvaluationSheet` | `getSheet(int sheetIndex)`
`int` | `getSheetIndex(org.apache.poi.ss.formula.EvaluationSheet evalSheet)`
`int` | `getSheetIndex(java.lang.String sheetName)`
`java.lang.String` | `getSheetName(int sheetIndex)`
`java.lang.String` | `getSheetNameByExternSheet(int externSheetIndex)`
`org.apache.poi.ss.SpreadsheetVersion` | `getSpreadsheetVersion()`
`java.lang.String` | `resolveNameXText(org.apache.poi.hssf.record.formula.NameXPtg n)` TODO - figure out what the hell this methods does in HSSF...

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static XSSFEvaluationWorkbook create(XSSFWorkbook book)

### convertFromExternSheetIndex

    public int convertFromExternSheetIndex(int externSheetIndex)

  Specified by:
    `convertFromExternSheetIndex` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`
  Returns:
    the sheet index of the sheet with the given external index.

### getExternalSheetIndex

    public int getExternalSheetIndex(java.lang.String sheetName)

  Specified by:
    `getExternalSheetIndex` in interface `org.apache.poi.ss.formula.FormulaParsingWorkbook`

### getName

    public org.apache.poi.ss.formula.EvaluationName getName(java.lang.String name,
                                                            int sheetIndex)

  Specified by:
    `getName` in interface `org.apache.poi.ss.formula.FormulaParsingWorkbook`

### getSheetIndex

    public int getSheetIndex(org.apache.poi.ss.formula.EvaluationSheet evalSheet)

  Specified by:
    `getSheetIndex` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getSheetName

    public java.lang.String getSheetName(int sheetIndex)

  Specified by:
    `getSheetName` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getExternalName

    public org.apache.poi.ss.formula.EvaluationWorkbook.ExternalName getExternalName(int externSheetIndex,
                                                                                     int externNameIndex)

  Specified by:
    `getExternalName` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getNameXPtg

    public org.apache.poi.hssf.record.formula.NameXPtg getNameXPtg(java.lang.String name)

  Specified by:
    `getNameXPtg` in interface `org.apache.poi.ss.formula.FormulaParsingWorkbook`

### getSheet

    public org.apache.poi.ss.formula.EvaluationSheet getSheet(int sheetIndex)

  Specified by:
    `getSheet` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getExternalSheet

    public org.apache.poi.ss.formula.EvaluationWorkbook.ExternalSheet getExternalSheet(int externSheetIndex)

  Specified by:
    `getExternalSheet` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`
  Specified by:
    `getExternalSheet` in interface `org.apache.poi.ss.formula.FormulaRenderingWorkbook`

### getExternalSheetIndex

    public int getExternalSheetIndex(java.lang.String workbookName,
                                     java.lang.String sheetName)

  Specified by:
    `getExternalSheetIndex` in interface `org.apache.poi.ss.formula.FormulaParsingWorkbook`

### getSheetIndex

    public int getSheetIndex(java.lang.String sheetName)

  Specified by:
    `getSheetIndex` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### resolveNameXText

    public java.lang.String resolveNameXText(org.apache.poi.hssf.record.formula.NameXPtg n)

  TODO - figure out what the hell this methods does in HSSF...

  Specified by:
    `resolveNameXText` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`
  Specified by:
    `resolveNameXText` in interface `org.apache.poi.ss.formula.FormulaRenderingWorkbook`

### getSheetNameByExternSheet

    public java.lang.String getSheetNameByExternSheet(int externSheetIndex)

  Specified by:
    `getSheetNameByExternSheet` in interface `org.apache.poi.ss.formula.FormulaRenderingWorkbook`

### getNameText

    public java.lang.String getNameText(org.apache.poi.hssf.record.formula.NamePtg namePtg)

  Specified by:
    `getNameText` in interface `org.apache.poi.ss.formula.FormulaRenderingWorkbook`

### getName

    public org.apache.poi.ss.formula.EvaluationName getName(org.apache.poi.hssf.record.formula.NamePtg namePtg)

  Specified by:
    `getName` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getFormulaTokens

    public org.apache.poi.hssf.record.formula.Ptg[] getFormulaTokens(org.apache.poi.ss.formula.EvaluationCell evalCell)

  Specified by:
    `getFormulaTokens` in interface `org.apache.poi.ss.formula.EvaluationWorkbook`

### getSpreadsheetVersion

    public org.apache.poi.ss.SpreadsheetVersion getSpreadsheetVersion()

  Specified by:
    `getSpreadsheetVersion` in interface `org.apache.poi.ss.formula.FormulaParsingWorkbook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD